# Security Committee

This document describes the responsibilities, organizational structure, operation mode, and related processes of the Security Committee.



## Mission

The openEuler Security Committee (SC) receives and responds to openEuler security issues, provides community security guidance, and carries out security governance. It is built to enhance the security of openEuler products and development environment.



## Responsibilities

+ Assist in fixing vulnerabilities: Ensure that known vulnerabilities are fixed in a timely manner. Provide patches for software package maintainers to help users fix vulnerabilities before virus attack. The patches include vulnerability detection and fixing tools.
+ Respond to security issues: Respond to reported security issues, track the handling progress, and disclose the reported issues in the community based on the security issue disclosure policy.
+ Popularize secure coding rules: Strive to create documentation or development tools to help the developers avoid common pitfalls in the software development process. We will also answer questions encountered during development and use.
+ Participate in code review: Help discover vulnerabilities in code in advance through code review.



## Members

The SC is responsible for classifying and handling openEuler security issues. The current members of the SC are as follows:

### Member List

- <liujingang09@huawei.com> [[@liujingang09](https://gitee.com/liujingang09)]
- <yanxiaobing@huawei.com> [[@yanxiaobing2020](https://gitee.com/yanxiaobing2020)]
- <zhujianwei7@huawei.com> [[@zhujianwei001](https://gitee.com/zhujianwei001)]
- <11015100@qq.com> [[@gwei3](https://gitee.com/gwei3)]
- <cuilei@kylinos.cn> [[@kylincuilei](https://gitee.com/kylincuilei)]
- <weidong@uniontech.com> [[@weidongkl](https://gitee.com/weidongkl)]
- <tanjingguo@huawei.com> [[@tanjingguo](https://gitee.com/tanjingguo)]（Alternate member）
- <chenxi.mao@suse.com> [[@chenxi-mao](https://gitee.com/chenxi-mao)]（Alternate member）

### Member Changes
- [@yangli69393](https://gitee.com/yangli69393) resigned in July 2021, and [@kylincuilei](https://gitee.com/kylincuilei) took over the work.
- [@angela7](https://gitee.com/angela7) resigned in January 2022, and [@weidongkl](https://gitee.com/weidongkl) took over the work.
- [@jinjin](https://gitee.com/jinjin) resigned in March 2022, and [@tanjingguo](https://gitee.com/tanjingguo) took over the work.


## Meeting Time

- 4:00-5:30 (GMT+8) every other Wednesday through WeLink Meeting



### How to Contact Us

We are responsible for product security release. Please use the correct contact information to obtain timely response.

| List/Group| Type| Function|
| -------------------------------------- | ------- | ------------------------------------------------------------ |
| openeuler-security@openeuler.org       | Private | openEuler security disclosure mailbox. This list is closely monitored and categorized by the PSC. For details, see [Security Disclosure Guide](security-disclosure.md).|
| release-managers-private@openeuler.org | Private | This is a private communication email especially for release managers. For other users, please subscribe to openeuler-security@openeuler.org. To discuss security issues during the release, release managers must use this private email.|
| security-discuss-private@openeuler.org | Private | Private internal discussion email of the SC. For other users, please subscribe to openeuler-security@openeuler.org.|



### Secure Release Process

For details about how to report security issues and obtain security patches, see [Security Disclosure Guide](security-disclosure.md).

For details about the security handling process and security policies of the openEuler community, see [Security Handling Process](security-process.md).



## Community Discussion and Support

Visit https://openEuler.org/en to learn how to interact with the openEuler community.



## Code of Conduct

It is subject to the constraints of **openEuler Code of Conduct**.
